package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.yh.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.ToString;

/**
 * @description: 行驶证三要素
 * @author: xusonglin
 * @create: 2019/7/8 15:33
 * @version: V1.0
 **/
@Data
@ToString(callSuper = true)
public class DrivingLicenseResponseObject {
    @JsonProperty(value = "serialno")
    private String serialNo;

    @JsonProperty(value = "code")
    private String code;

    @JsonProperty(value = "msg")
    private String msg;

    @JsonProperty(value = "data")
    private DrivingLicenseResponseData data;

    @Data
    @ToString(callSuper = true)
    public class DrivingLicenseResponseData {
        private String result;

        private String message;

        private Object resultData;

        @JsonProperty(value = "LicensePlateType")
        private String licensePlateType;

        @JsonProperty(value = "VehicleStatus")
        private String vehicleStatus;

        @JsonProperty(value = "FirstRegisterDate")
        private String firstRegisterDate;
    }
}
