package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.yh.utils;

import lombok.Data;

import java.util.Map;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author jianggang
 * @Date 2018/12/20 11:03:33
 * @Description
 */

@Data
@Component
@ConfigurationProperties(prefix = "supplier")
public class SupplierProperties {

    private String username;

    private String apiKey;

    private String url;

    private String sleepTime;

    private Map<Integer,String> code;
    private Map<Integer,String> desc;



}
