package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.yh.vo;

import lombok.Data;
import lombok.ToString;


/**
 * 电信月消费金额接口 返回解析对象
 * @author minmin
 *
 */

@Data
@ToString(callSuper = true, includeFieldNames = true)
public class DianXinMonthCostResponseObject {
	/**提交响应码*/
    private String code;
    /**响应码对应描述*/
    private String msg;
    /**接口返回的具体内容*/
    private DianXinMonthCostResponseChildObject data;
    /**流水号*/
    private String serialno;

    @Data
    public class DianXinMonthCostResponseChildObject{
    	/**手机号*/
        private String phone;
        /**返回结果码*/
        private String result;
        /**返回结果码解释：
		0,(0,5], (5,10], (10,20], (20,25], (25,35], (35,45],
		(45,60], (60,80] ,(80,115], 115+（单位：元）*/
        private String message;
    }
}
