package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.yh.vo;

import lombok.Data;
import lombok.ToString;


/**
 * 联通手机话费平均评分接口 返回解析对象
 * @author minmin
 *
 */

@Data
@ToString(callSuper = true, includeFieldNames = true)
public class LianTongCostScoreResponseObject {
	/**提交响应码*/
    private String code;
    /**响应码对应描述*/
    private String msg;
    /**接口返回的具体内容*/
    private LianTongCostScoreResponseChildObject data;
    /**流水号*/
    private String serialno;

    @Data
    public class LianTongCostScoreResponseChildObject{
    	/**手机号*/
        private String phone;
        /**返回结果：0: 用户月话费为0 40：用户月话费为(0,40] 80：用户月话费为(40,80] 160：用户月话费为(80,160] 999：用户月话费为>160*/
        private String score;
    }
}
